%define name	v6
%define version	4.0
%define pre	alpha1
%define release	%mkrel 0.%{pre}.5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A programmable personal proxy
Source:		%{name}-%{version}-%{pre}.tar.bz2
Patch0:		%{name}-4.0.makefile.patch.bz2
Patch1:		%{name}-4.0.documentation.patch.bz2
License:	GPL-like
Group:		System/Servers
Url:		http://cristal.inria.fr/~rouaix/V6/
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	ocaml >= 3.08
BuildRequires:	camlp4
BuildRequires:	ocamltk
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRequires:	hevea
BuildRequires:	db2-devel
BuildRequires:	gdbm-devel

%description
The V6 Engine is to the Web what pipes are in Unix systems: a
compositional device to combine document processing. To be easily
integrated in the Web architecture, V6 is available as a personal proxy.
Relying on a common skeleton architecture and Web related libraries, V6
can be easily configured to support various sets of filters while remaining
portable and browser independent. The filters may act on the requests
emitted by the browser (or other web client) or on the document returned by
a server, or both.

In the current release, the available filters include
  - flexible caching
  - request redirection
  - global history
  - on-the-fly full text indexing (requires FFW)
  - on-the-fly text compression 
  - session manager
  - on-the-fly deinterlacing of GIF (requires GifMom)

V6 can be used to support many other navigation aids and Web-related
tools in a uniform, browser independent way. In addition, V6 can also be
used as a traditional http server: this is particularly useful to serve
private files without needing access to the site-wide http server, or to
interface to local, private applications (mail, ...) through the CGI
interface.

V6 is written in Objective Caml. This version runs only on Unix platforms.
It has been tested mostly on Linux (2.0.x), but is known to run
on Alpha OSF1, Solaris, SunOS 4.1.x.

%prep
%setup -q -n %{name}
%patch0
%patch1
mkdir bin

%build
make BINDIR=bin CAMLC="ocamlc -c -g -vmthread -pp camlp4o" LIBDIR="%{_libdir}/ocaml"
cd doc
latex main.tex
latex main.tex
dvips -o main.ps main.dvi
hevea main.tex

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}/{modules,html}

install -m 755 bin/* %{buildroot}%{_bindir}
install -m 644 modules/*.cmo %{buildroot}%{_datadir}/%{name}/modules
install -m 644 html/*.{html,htmlp,gif} %{buildroot}%{_datadir}/%{name}/html
install -m 644 config/*.{conf,svc} %{buildroot}%{_sysconfdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README LICENSE doc/*.{html,ps,dvi}
%{_bindir}/*
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*

%changelog
* Mon May 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.0-0.alpha1.5mdk
- buildrequires gdbm-devel
- %%mkrel

* Fri May 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.0-0.alpha1.4mdk
- rebuild

* Thu Apr 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.0-0.alpha1.3mdk 
- buildrequires

* Tue Apr 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 4.0-0.alpha1.2mdk 
- fix URL
- fix documentation build
- spec cleanup

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.0-0.alpha1.1mdk 
- first mdk release
